> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener tiendas por marca

> This endpoint allows listing the stores of a brand registered in the system



## OpenAPI

````yaml GET /v3/stores
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /v3/stores:
    get:
      description: >-
        This endpoint allows listing the stores of a brand registered in the
        system
      parameters:
        - name: vendorId
          in: query
          description: Unique identifier of the brand
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Store response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StoreResponse'
        '400':
          description: Bad request
          content: {}
components:
  schemas:
    StoreResponse:
      allOf:
        - $ref: '#/components/schemas/Store'
        - type: object
          properties:
            storeImage:
              description: Store image
              type: array
            paymentMethodAvailability:
              description: ''
              type: string
            paymentMethodInfo:
              description: ''
              type: string
    Store:
      type: object
      properties:
        name:
          type: string
          example: New store 805
        active:
          type: boolean
          example: true
        storeId:
          type: integer
          example: 805
        services:
          type: array
          items:
            $ref: '#/components/schemas/Service'
        vendorId:
          description: Unique brand identifier. *This identifier is provided by Trade.
          type: integer
          example: 16
        schedulesByChannel:
          type: array
          items:
            $ref: '#/components/schemas/SchedulesByChannel'
        storeCode:
          type: string
          example: T005
        taxesInfo:
          $ref: '#/components/schemas/TaxesInfo'
        contactInfo:
          $ref: '#/components/schemas/ContactInfo'
        deliveryInfo:
          $ref: '#/components/schemas/DeliveryInfo'
        locationInfo:
          $ref: '#/components/schemas/LocationInfo'
        storeChannels:
          type: array
          items:
            type: string
            example: 0F049503-85CF-E511-80C6-000D3A3261F3
    Service:
      type: object
      properties:
        name:
          type: string
          example: DELIVERY
        active:
          type: boolean
          example: true
    SchedulesByChannel:
      type: object
      properties:
        channelId:
          type: string
          example: 0F049503-85CF-E511-80C6-000D3A3261F3
        schedules:
          type: array
          items:
            $ref: '#/components/schemas/Schedule'
    TaxesInfo:
      type: object
      properties:
        taxRate:
          type: number
          example: 0
        vatRatePercentage:
          type: number
          example: 12
    ContactInfo:
      type: object
      properties:
        phone:
          type: string
          example: '23955400'
        address:
          type: string
          example: PICHINCHA / QUITO / INAQUITO / AV. AMERICA N37-288 Y VILLALENGUA
    DeliveryInfo:
      type: object
      properties:
        cookTime:
          type: string
          example: '10'
        deliveryId:
          type: integer
          example: 46356
        minimumOrder:
          type: string
          example: '0.00'
        shippingCost:
          type: number
          example: 1.99
    LocationInfo:
      type: object
      properties:
        city:
          type: string
          example: QUITO
        latitude:
          type: string
          example: '-0.17250869436401206'
        longitude:
          type: string
          example: '-78.49125266075134'
    Schedule:
      type: object
      properties:
        day:
          type: string
          example: FRIDAY
        endTime:
          type: string
          example: '22:30'
        startTime:
          type: string
          example: '10:00'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````